%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	Cpu-freq plugin for Xfce desktop
Name:		xfce4-cpufreq-plugin
Version:	1.0.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-cpufreq-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
Requires:	xfce4-panel >= 4.8.0
BuildRequires:  xfce4-panel-devel >= 4.8.0
BuildRequires:	libxfcegui4-devel >= 4.8.0
BuildRequires:	libxfce4util-devel >= 4.8.0
Obsoletes:	xfce-cpu-freq-plugin
Obsoletes:	xfce4-cpu-freq-plugin <= 0.0.1-11
Provides:	xfce4-cpu-freq-plugin

%description
CPU freq plugin for the Xfce Desktop Environment. It provides a
simple system for managing the frequency of the CPU.

%prep
%setup -q


%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Sat Feb 19 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 54173
- imported package xfce4-cpufreq-plugin


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 632769
- update to new version 1.0.0
- fix url for Source0
- package locales
- drop old scriplets
- fix file list

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-11mdv2011.0
+ Revision: 615573
- the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-10mdv2010.1
+ Revision: 543420
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.0.1-9mdv2010.0
+ Revision: 445979
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-8mdv2009.1
+ Revision: 349447
- rebuild for xfce-4.6.0

* Fri Jan 02 2009 Jérôme Soyer <saispo@mandriva.org> 0.0.1-7mdv2009.1
+ Revision: 323288
- Rewind...
- Change name and rebuild
- Readd current directory


* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-6mdv2009.0
+ Revision: 194499
- drop patch0 as it doesn't work

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-5mdv2008.1
+ Revision: 110102
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- use upstream name

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.1-4mdv2008.0
+ Revision: 90382
- rebuild

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-3mdv2008.0
+ Revision: 33207
- add macros to %%post and %%postun
- spec file clean
- drop __libtoolize

